from setuptools import setup, find_packages

setup(
    name="NOVA-AI",  # Avoid special characters in package names
    version="0.1",
    author="Suraj Sharma",
    description="A smart AI assistant with real-time vision, speech recognition, and object detection in advanced AI-powered glasses.",
    packages=find_packages(),
    install_requires=[
        "google-generativeai",
        "opencv-python",
        "readchar",
    ],
    entry_points={
        "console_scripts": [
            "NOVA-AI=nova_assistant.assistant:main",
        ],
    },
    classifiers=[
        "Programming Language :: Python :: 3",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.7",
)
